Get a file tree
curl --request POST \
--url https://api.example.com/api/tree \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"repoName": "<string>",
"revisionName": "<string>",
"paths": [
"<string>"
]
}
'import requests
url = "https://api.example.com/api/tree"
payload = {
"repoName": "<string>",
"revisionName": "<string>",
"paths": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({repoName: '<string>', revisionName: '<string>', paths: ['<string>']})
};
fetch('https://api.example.com/api/tree', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tree": {
"type": "<string>",
"path": "<string>",
"name": "<string>",
"children": "<array>"
}
}{
"statusCode": 123,
"errorCode": "<string>",
"message": "<string>"
}{
"statusCode": 123,
"errorCode": "<string>",
"message": "<string>"
}{
"statusCode": 123,
"errorCode": "<string>",
"message": "<string>"
}Git
Get a file tree
Returns the file tree for a repository at a given revision.
POST
/
api
/
tree
Get a file tree
Authorizations
bearerTokenapiKeyHeader
Bearer authentication header of the form Bearer <token>. The token may be a Sourcebot API key, OAuth access token, or scoped access token, subject to endpoint requirements.
Response
File tree for the requested repository revision.
Show child attributes
Show child attributes
Was this page helpful?
⌘I

